<?php 
    ini_set('display_errors', 1);
    ini_set('display_startup_erros', 1);
    error_reporting(E_ALL);
    
    require_once(__DIR__."/../config.php"); 
    
    $cs = new cs;    

    $info_unf             = $_SESSION['info_unf'];

    $id_unf               = $_SESSION['info_unf']['id'];

    list($info_unf)       = $cs->fetchQuery($cs->executeQuery("SELECT * from gerenciadores WHERE id='$id_unf'"));

    $_SESSION['info_unf'] = $info_unf;

    if(!isset($_SESSION['token_validar'])) {
        $_SESSION['token_validar'] = md5(rand());
    }
   
    $total_users = (string) $cs->num_rows($cs->executeQuery("SELECT * from usuarios WHERE id_gerenciador='$id_unf'"));
    
    if(strtoupper($_SERVER['REQUEST_METHOD']) == 'POST')
    {
        $request = $_POST;
            
   
        if (isset($request) AND !empty($request)) {
            
            try {
                
                $request['exceptions']     = ['method', 'url'];         
                $request['id']             = (int) strtotime('now');
                $request['id_pai']         = !empty($_SESSION['info_unf']['gerenciador_responsavel']) ? $_SESSION['info_unf']['gerenciador_responsavel'] : 1;
                $request['id_gerenciador'] = $_SESSION['info_unf']['id'];
                $request['is_trial']       =  0;
                $request['notas']          = 'Cadastro Usuario - Gerenciador: '; 
                $request['iptv_url']       = 'www.siteteste.com.br';
                $request['vencimento']     = ($request['status'] == 'teste') ? date('Y-m-d H:i:s', strtotime('+8 hours')) : date('Y-m-d H:i:s', strtotime($request['vencimento']));
                $request['limitUsers']     = (int) $_SESSION['info_unf']['limite_usuarios'] ?? 0; 
                $request['max_con']        = ($cs->checkConn($request['max_connections'])) ? $cs->filterKey($request['max_connections']) : 1;
                $request['celular']        = $cs->returnNumbers($request['celular']); 
                $request['iptv_url']       = $cs->getListUrl($request['login'], $request['senha']);
                $Validator = new Validator($request);
     
           
                
                $result = $cs->createUsuario($Validator->getData()); 
                
                echo json_encode([ 
                    'success' => true, 
                    'class'   => 'alert-success', 
                    'text'    => 'Usuário cadastrado com sucesso!.',
                    'data'    => $result, 
                ]);  
                     
    
            } catch (Exception $e) {
                 
                echo json_encode([ 
                    'success' => false, 
                    'class'   => 'alert-danger', 
                    'text'    => $e->getMessage(),
                    'data'    => $cs->errors
                ]);   
            }     
        }
    }    
?>        